Project

General

Profile

Download (24.4 KB) Statistics
| Branch: | Tag: | Revision:
1
<?xml version="1.0" encoding="UTF-8"?>
2
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
3
  <modelVersion>4.0.0</modelVersion>
4
  <groupId>eu.etaxonomy</groupId>
5
  <artifactId>cdm-vaadin</artifactId>
6
  <packaging>war</packaging>
7
  <version>5.29.0-SNAPSHOT</version>
8
  <name>Vaadin Web Application</name>
9
  <properties>
10
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
11
    <vaadin.version>7.7.17</vaadin.version>
12
    <!-- LAST PUBLIC OPEN-SOURCE VERSION OF THE VAADIN 7 FRAMEWORK !!!   -->
13
    <vaadin-spring.version>1.2.0</vaadin-spring.version>
14
    <vaadin.plugin.version>${vaadin.version}</vaadin.plugin.version>
15
    <vaadin-spring-addon-eventbus.version>2.0.0.RELEASE</vaadin-spring-addon-eventbus.version>
16
    <cdmlib.version>5.29.0-SNAPSHOT</cdmlib.version>
17
    <unitils.version>3.4.2</unitils.version>
18
    <spring-boot.version>1.3.1.RELEASE</spring-boot.version>
19
    <!-- has spring 4.2.4-RELEASE as dependency --> 
20
    <!-- 
21
        lucene.version must match the version as defined in cdmlib
22
    -->
23
    <lucene.version>5.4.1</lucene.version>
24
    <maven.compiler.source>1.8</maven.compiler.source>
25
    <maven.compiler.target>1.8</maven.compiler.target>
26
  </properties>
27
  <prerequisites>
28
    <maven>3.2.3</maven>
29
  </prerequisites>
30
  <repositories>
31
    <!-- the cdm internal repository -->
32
    <repository>
33
      <id>EditRepository</id>
34
      <url>https://cybertaxonomy.eu/mavenrepo/</url>
35
    </repository>
36
    <!-- current spring source repositories -->
37
    <repository>
38
      <id>SpringSource Enterprise Bundle Repository - External Bundle Milestones</id>
39
      <url>http://repository.springsource.com/maven/bundles/milestone</url>
40
    </repository>
41
    <repository>
42
      <id>SpringSource Enterprise Bundle Repository - SpringSource Bundle Releases</id>
43
      <url>http://repository.springsource.com/maven/bundles/release</url>
44
    </repository>
45
    <repository>
46
      <id>SpringSource Enterprise Bundle Repository - External Bundle Releases</id>
47
      <url>http://repository.springsource.com/maven/bundles/external</url>
48
    </repository>
49
    <repository>
50
      <id>vaadin-addons</id>
51
      <url>http://maven.vaadin.com/vaadin-addons</url>
52
    </repository>
53
    <repository>
54
      <id>vaadin-snapshots</id>
55
      <url>http://oss.sonatype.org/content/repositories/vaadin-snapshots/</url>
56
      <releases>
57
        <enabled>false</enabled>
58
      </releases>
59
      <snapshots>
60
        <enabled>true</enabled>
61
      </snapshots>
62
    </repository>
63
  </repositories>
64
  <pluginRepositories>
65
    <pluginRepository>
66
      <id>vaadin-snapshots</id>
67
      <url>http://oss.sonatype.org/content/repositories/vaadin-snapshots/</url>
68
      <releases>
69
        <enabled>false</enabled>
70
      </releases>
71
      <snapshots>
72
        <enabled>true</enabled>
73
      </snapshots>
74
    </pluginRepository>
75
  </pluginRepositories>
76
  <dependencyManagement>
77
    <dependencies>
78
      <dependency>
79
        <groupId>eu.etaxonomy</groupId>
80
        <artifactId>cdmlib-parent</artifactId>
81
        <version>${cdmlib.version}</version>
82
        <type>pom</type>
83
        <scope>import</scope>
84
      </dependency>
85
      <dependency>
86
        <groupId>org.springframework.boot</groupId>
87
        <artifactId>spring-boot-starter-parent</artifactId>
88
        <version>${spring-boot.version}</version>
89
        <type>pom</type>
90
        <scope>import</scope>
91
      </dependency>
92
      <dependency>
93
        <groupId>com.vaadin</groupId>
94
        <artifactId>vaadin-bom</artifactId>
95
        <version>${vaadin.version}</version>
96
        <type>pom</type>
97
        <scope>import</scope>
98
      </dependency>
99
      <dependency>
100
        <!-- Try updating in cdmlib to 20090211 -->
101
        <groupId>org.json</groupId>
102
        <artifactId>json</artifactId>
103
        <version>20151123</version>
104
      </dependency>
105
    
106
        <!-- 
107
      <dependency>
108
            updating to same version as in vaadin-server 7.7.28 due to https://vaadin.com/security/2021-10-27 
109
            is not possible due to code incompatibility
110
        <groupId>org.jsoup</groupId>
111
        <artifactId>jsoup</artifactId>
112
        <version>1.14.3</version>
113
      </dependency>
114
        -->
115
      <!-- 
116
      <dependency>
117
        < ! - - FIXME move to cdmlib-test - - >
118
        <groupId>org.springframework</groupId>
119
        <artifactId>spring-mock</artifactId>
120
        <version>4.2.3.RELEASE</version>
121
      </dependency>
122
      <dependency>
123
        <groupId>org.seleniumhq.selenium</groupId>
124
        <artifactId>selenium-api</artifactId>
125
        <version>3.5.3</version>
126
      </dependency>
127
      <dependency>
128
        <groupId>org.seleniumhq.selenium</groupId>
129
        <artifactId>selenium-support</artifactId>
130
        <version>3.5.3</version>
131
      </dependency>
132
      -->
133
    </dependencies>
134
  </dependencyManagement>
135
  <distributionManagement>
136
    <repository>
137
      <uniqueVersion>false</uniqueVersion>
138
      <id>cybertaxonomy.eu</id>
139
      <name>Edit Maven Repository</name>
140
      <url>scpexe://cybertaxonomy.eu/var/www/wp5.e-taxonomy.eu/mavenrepo/</url>
141
      <layout>default</layout>
142
    </repository>
143
  </distributionManagement>
144
  <profiles>
145
    <profile>
146
      <id>align-cdmlib-version</id>
147
      <activation>
148
        <property>
149
          <name>align-cdmlib-version</name>
150
        </property>
151
      </activation>
152
      <build>
153
        <plugins>
154
          <plugin>
155
            <groupId>com.google.code.maven-replacer-plugin</groupId>
156
            <artifactId>replacer</artifactId>
157
            <version>1.5.3</version>
158
            <executions>
159
              <execution>
160
                <phase>process-sources</phase>
161
                <goals>
162
                  <goal>replace</goal>
163
                </goals>
164
              </execution>
165
            </executions>
166
            <configuration>
167
              <file>pom.xml</file>
168
              <!-- \u003C = < , \u003E = > -->
169
              <token>(\u003Ccdmlib\.version\u003E)[^\u003C]*</token>
170
              <value>$1${project.version}</value>
171
            </configuration>
172
          </plugin>
173
        </plugins>
174
      </build>
175
    </profile>
176
    <profile>
177
      <id>java8-doclint-disabled</id>
178
      <activation>
179
        <jdk>[1.8,)</jdk>
180
      </activation>
181
      <properties>
182
        <javadoc.opts>-Xdoclint:none</javadoc.opts>
183
      </properties>
184
    </profile>
185
  </profiles>
186
  <build>
187
    <resources>
188
      <resource>
189
        <!-- all main resources without filtering -->
190
        <directory>src/main/resources</directory>
191
      </resource>
192
      <resource>
193
        <!-- replace the place holders like ${...} in datasources.xml -->
194
        <filtering>true</filtering>
195
        <directory>src/test/resources</directory>
196
        <targetPath>../test-classes</targetPath>
197
        <includes>
198
          <include>datasources.xml</include>
199
        </includes>
200
      </resource>
201
      <resource>
202
        <!-- all other test resources without filtering -->
203
        <directory>src/test/resources</directory>
204
        <targetPath>../test-classes</targetPath>
205
        <excludes>
206
          <exclude>datasources.xml</exclude>
207
        </excludes>
208
      </resource>
209
    </resources>
210
    <plugins>
211
      <plugin>
212
        <groupId>org.apache.maven.plugins</groupId>
213
        <artifactId>maven-resources-plugin</artifactId>
214
        <version>3.0.1</version>
215
      </plugin>
216
      <plugin>
217
        <groupId>org.apache.maven.plugins</groupId>
218
        <artifactId>maven-compiler-plugin</artifactId>
219
        <version>3.3</version>
220
        <configuration>
221
          <source>${maven.compiler.source}</source>
222
          <target>${maven.compiler.target}</target>
223
          <encoding>UTF-8</encoding>
224
        </configuration>
225
      </plugin>
226
      <plugin>
227
        <groupId>org.apache.maven.plugins</groupId>
228
        <artifactId>maven-surefire-plugin</artifactId>
229
        <version>2.19.1</version>
230
        <configuration>
231
          <argLine>-Xms256m -Xmx512m</argLine>
232
        </configuration>
233
      </plugin>
234
      <!-- As we are doing "inplace" GWT compilation, ensure the widgetset -->
235
      <!-- directory is cleaned properly -->
236
      <plugin>
237
        <artifactId>maven-clean-plugin</artifactId>
238
        <version>2.4.1</version>
239
        <configuration>
240
          <filesets>
241
            <fileset>
242
              <directory>src/main/webapp/VAADIN/widgetsets</directory>
243
            </fileset>
244
          </filesets>
245
        </configuration>
246
      </plugin>
247
      <plugin>
248
        <groupId>org.apache.maven.plugins</groupId>
249
        <artifactId>maven-javadoc-plugin</artifactId>
250
        <version>2.9.1</version>
251
        <configuration>
252
          <additionalparam>${javadoc.opts}</additionalparam>
253
        </configuration>
254
      </plugin>
255
      <plugin>
256
        <groupId>org.apache.maven.plugins</groupId>
257
        <artifactId>maven-war-plugin</artifactId>
258
        <version>2.2</version>
259
        <configuration>
260
          <failOnMissingWebXml>false</failOnMissingWebXml>
261
          <warSourceExcludes>WEB-INF/*,WEB-INF/datasources/*</warSourceExcludes>
262
        </configuration>
263
      </plugin>
264
      <plugin>
265
        <groupId>com.vaadin</groupId>
266
        <artifactId>vaadin-maven-plugin</artifactId>
267
        <version>${vaadin.plugin.version}</version>
268
        <configuration>
269
          <extraJvmArgs>-Xmx512M -Xss1024k</extraJvmArgs>
270
          <!-- We are doing "inplace" but into subdir VAADIN/widgetsets. 
271
            This way compatible with Vaadin eclipse plugin. -->
272
          <webappDirectory>${basedir}/src/main/webapp/VAADIN/widgetsets</webappDirectory>
273
          <hostedWebapp>${basedir}/src/main/webapp/VAADIN/widgetsets</hostedWebapp>
274
          <!-- Most Vaadin apps don't need this stuff, guide that to target -->
275
          <persistentunitcachedir>${project.build.directory}</persistentunitcachedir>
276
          <deploy>${project.build.directory}/gwt-deploy</deploy>
277
          <!-- Compile report is not typically needed either, saves hunreds 
278
            of mb disk -->
279
          <compileReport>false</compileReport>
280
          <noServer>true</noServer>
281
          <!-- Remove draftCompile when project is ready -->
282
          <draftCompile>false</draftCompile>
283
          <style>OBF</style>
284
          <runTarget>http://localhost:8080/</runTarget>
285
        </configuration>
286
        <executions>
287
          <execution>
288
            <configuration>
289
              <!-- if you don't specify any modules, the plugin will find 
290
                them -->
291
              <!-- <modules> <module>com.vaadin.demo.mobilemail.gwt.ColorPickerWidgetSet</module> 
292
                </modules> -->
293
            </configuration>
294
            <goals>
295
              <goal>clean</goal>
296
              <goal>resources</goal>
297
              <goal>update-theme</goal>
298
              <goal>update-widgetset</goal>
299
              <goal>compile-theme</goal>
300
              <goal>compile</goal>
301
            </goals>
302
          </execution>
303
        </executions>
304
      </plugin>
305
      <plugin>
306
        <groupId>org.eclipse.jetty</groupId>
307
        <artifactId>jetty-maven-plugin</artifactId>
308
        <version>9.4.15.v20190215</version>
309
        <!--  
310
            NOTE:
311
            9.4.0.RC1 requires jdk 1.8, formerly we've been using version 9.1.3.v20140225 which was 
312
            the last version compatible to java 7, but this was causing other problems related to asm
313
            which could not be easily solved.
314
        -->
315
        <configuration>
316
          <useTestScope>true</useTestScope>
317
          <scanIntervalSeconds>2</scanIntervalSeconds>
318
          <systemProperties>
319
            <force>true</force>
320
            <systemProperty>
321
              <name>cdm.datasource</name>
322
              <value>h2_cdmTest</value>
323
            </systemProperty>
324
            <systemProperty>
325
              <name>hibernate.hbm2ddl.auto</name>
326
              <value>create-drop</value>
327
            </systemProperty>
328
            <systemProperty>
329
              <!-- 
330
                The lucene index should be placed into the target folder, 
331
                so user.home needs to be set to this folder. user.home needs to be overridden 
332
                since it already exists, thus the force option is turned on above 
333
              -->
334
              <name>user.home</name>
335
              <value>${basedir}/target/</value>
336
            </systemProperty>
337
            <systemProperty>
338
              <!-- 
339
                datasources.xml is prepared by <plugins><resources>..</resources> above 
340
               -->
341
              <name>cdm.beanDefinitionFile</name>
342
              <value>${project.build.directory}/test-classes/datasources.xml</value>
343
            </systemProperty>
344
          </systemProperties>
345
        </configuration>
346
        <dependencies>
347
          <dependency>
348
            <groupId>org.slf4j</groupId>
349
            <artifactId>slf4j-log4j12</artifactId>
350
            <version>1.6.4</version>
351
          </dependency>
352
        </dependencies>
353
      </plugin>
354
      <plugin>
355
        <groupId>org.apache.maven.plugins</groupId>
356
        <artifactId>maven-failsafe-plugin</artifactId>
357
        <version>2.17</version>
358
        <configuration>
359
          <!-- Remove the skipTests line below to run TestBench tests -->
360
          <!-- <skipTests>true</skipTests> -->
361
        </configuration>
362
        <executions>
363
          <execution>
364
            <goals>
365
              <goal>integration-test</goal>
366
              <goal>verify</goal>
367
            </goals>
368
          </execution>
369
        </executions>
370
      </plugin>
371
      <!-- Browser Driver Downloader -->
372
      <plugin>
373
        <groupId>com.lazerycode.selenium</groupId>
374
        <artifactId>driver-binary-downloader-maven-plugin</artifactId>
375
        <version>1.0.14</version>
376
        <!-- has a bug -->
377
        <configuration>
378
          <rootStandaloneServerDirectory>selenium/bin</rootStandaloneServerDirectory>
379
          <downloadedZipFileDirectory>selenium/zip</downloadedZipFileDirectory>
380
        </configuration>
381
        <executions>
382
          <execution>
383
            <goals>
384
              <goal>selenium</goal>
385
            </goals>
386
          </execution>
387
        </executions>
388
      </plugin>
389
      <plugin>
390
	    <groupId>ch.dvbern.oss.maven.jgitflow</groupId>
391
	    <artifactId>jgitflow-maven-plugin</artifactId>
392
	    <version>1.0-m8</version>
393
        <configuration>
394
          <pushHotfixes>true</pushHotfixes>
395
          <pushReleases>true</pushReleases>
396
          <enableSshAgent>true</enableSshAgent>
397
          <allowSnapshots>true</allowSnapshots>
398
          <allowUntracked>true</allowUntracked>
399
        </configuration>
400
        <dependencies>
401
          <!-- upgrading dependency jsch.agent.version of jgit-flow plugin 
402
            to 0.1.53 in order have ssl key exchange algorithms compatible with openssh 
403
            6.7 -->
404
          <dependency>
405
            <groupId>com.jcraft</groupId>
406
            <artifactId>jsch</artifactId>
407
            <version>0.1.53</version>
408
          </dependency>
409
        </dependencies>
410
      </plugin>
411
      <plugin>
412
        <groupId>org.apache.maven.plugins</groupId>
413
        <artifactId>maven-enforcer-plugin</artifactId>
414
        <version>3.0.0-M2</version>
415
        <executions>
416
          <execution>
417
            <id>enforce</id>
418
            <configuration>
419
              <fail>false</fail>
420
              <skip>false</skip>
421
              <rules>
422
                <dependencyConvergence />
423
                <requireMavenVersion>
424
                  <version>[3.6.0,)</version>
425
                </requireMavenVersion>
426
              </rules>
427
            </configuration>
428
            <goals>
429
              <goal>enforce</goal>
430
            
431
              <!-- Binds by default to the lifecycle phase: validate -->
432
            </goals>
433
          </execution>
434
        </executions>
435
      </plugin>
436
    </plugins>
437
    <extensions>
438
      <extension>
439
        <groupId>org.apache.maven.wagon</groupId>
440
        <artifactId>wagon-scm</artifactId>
441
        <version>3.5.1</version>
442
      </extension>
443
      <extension>
444
        <groupId>org.apache.maven.wagon</groupId>
445
        <artifactId>wagon-ssh</artifactId>
446
        <version>3.5.1</version>
447
      </extension>
448
      <extension>
449
        <groupId>org.apache.maven.wagon</groupId>
450
        <artifactId>wagon-ssh-external</artifactId>
451
        <version>3.5.1</version>
452
      </extension>
453
      <extension>
454
        <groupId>org.apache.maven.scm</groupId>
455
        <artifactId>maven-scm-manager-plexus</artifactId>
456
        <version>1.12.2</version>
457
      </extension>
458
      <extension>
459
        <groupId>org.apache.maven.scm</groupId>
460
        <artifactId>maven-scm-provider-svnexe</artifactId>
461
        <version>1.12.2</version>
462
      </extension>
463
      <!-- WebDAV plugin to upload snapshots -->
464
      <extension>
465
        <groupId>org.apache.maven.wagon</groupId>
466
        <artifactId>wagon-webdav-jackrabbit</artifactId>
467
        <version>3.5.1</version>
468
      </extension>
469
    </extensions>
470
    <pluginManagement>
471
      <plugins>
472
        <plugin>
473
          <artifactId>maven-eclipse-plugin</artifactId>
474
          <configuration>
475
            <wtpversion>2.0</wtpversion>
476
            <additionalProjectnatures>
477
              <projectnature>com.vaadin.integration.eclipse.widgetsetNature</projectnature>
478
            </additionalProjectnatures>
479
            <additionalBuildcommands>
480
              <buildcommand>com.vaadin.integration.eclipse.widgetsetBuilder</buildcommand>
481
              <buildcommand>com.vaadin.integration.eclipse.addonStylesBuilder</buildcommand>
482
            </additionalBuildcommands>
483
          </configuration>
484
        </plugin>
485
        <!--This plugin's configuration is used to store Eclipse m2e settings only. It has no influence on the Maven build itself.-->
486
        <plugin>
487
          <groupId>org.eclipse.m2e</groupId>
488
          <artifactId>lifecycle-mapping</artifactId>
489
          <version>1.0.0</version>
490
          <configuration>
491
            <lifecycleMappingMetadata>
492
              <pluginExecutions>
493
                <pluginExecution>
494
                  <pluginExecutionFilter>
495
                    <groupId>com.lazerycode.selenium</groupId>
496
                    <artifactId>
497
                      driver-binary-downloader-maven-plugin
498
                    </artifactId>
499
                    <versionRange>[1.0.14,)</versionRange>
500
                    <goals>
501
                      <goal>selenium</goal>
502
                    </goals>
503
                  </pluginExecutionFilter>
504
                  <action>
505
                    <ignore />
506
                  </action>
507
                </pluginExecution>
508
              </pluginExecutions>
509
            </lifecycleMappingMetadata>
510
          </configuration>
511
        </plugin>
512
      </plugins>
513
    </pluginManagement>
514
  </build>
515
  <dependencies>
516
    <!-- ============ Vaadin ============ -->
517
    <dependency>
518
      <groupId>com.vaadin</groupId>
519
      <artifactId>vaadin-spring</artifactId>
520
      <version>${vaadin-spring.version}</version>
521
    </dependency>
522
    <dependency>
523
      <groupId>org.vaadin.spring.addons</groupId>
524
      <artifactId>vaadin-spring-addon-eventbus</artifactId>
525
      <version>${vaadin-spring-addon-eventbus.version}</version>
526
    </dependency>
527
    <dependency>
528
      <groupId>com.vaadin</groupId>
529
      <artifactId>vaadin-server</artifactId>
530
    
531
      <!-- 
532
        vaadin-server dependency jsoup upgraded due to https://vaadin.com/security/2021-10-27
533
        further updating of vaadin 7 is no longer possible without purchasing the pro license 
534
       -->
535
    </dependency>
536
    <dependency>
537
      <groupId>com.vaadin</groupId>
538
      <artifactId>vaadin-client-compiled</artifactId>
539
    </dependency>
540
    <!-- Needed when using the widgetset optimizer (custom ConnectorBundleLoaderFactory). 
541
      For widgetset compilation, vaadin-client-compiler is automatically added 
542
      on the compilation classpath by vaadin-maven-plugin so normally there is 
543
      no need for an explicit dependency. -->
544
    <!-- <dependency> <groupId>com.vaadin</groupId> <artifactId>vaadin-client-compiler</artifactId> 
545
      <version>${vaadin.version}</version> <scope>provided</scope> </dependency> -->
546
    <dependency>
547
      <groupId>com.vaadin</groupId>
548
      <artifactId>vaadin-client</artifactId>
549
      <scope>test</scope>
550
      <exclusions>
551
        <exclusion>
552
          <groupId>javax.validation</groupId>
553
          <artifactId>validation-api</artifactId>
554
        </exclusion>
555
      </exclusions>
556
    </dependency>
557
    <!-- disabling push for the moment because it does not work with run-jetty-run 
558
      due to the fact that the latest (even nightly) version of run-jetty-run uses 
559
      9.0.0 M3 which is incompatible with atmoshpere. this does work with the jetty 
560
      included in this pom which is 9.2.5.xx, implying that enabling the dependency 
561
      and running the web app via 'mvn jetty:run' works fine. -->
562
    <!-- <dependency> -->
563
    <!-- <groupId>com.vaadin</groupId> -->
564
    <!-- <artifactId>vaadin-push</artifactId> -->
565
    <!-- <version>${vaadin.version}</version> -->
566
    <!-- </dependency> -->
567
    <dependency>
568
      <groupId>com.vaadin</groupId>
569
      <artifactId>vaadin-themes</artifactId>
570
    </dependency>
571
    <!-- vaadin addons / extensions -->
572
    <dependency>
573
      <groupId>org.vaadin.addons</groupId>
574
      <artifactId>contextmenu</artifactId>
575
      <version>4.5</version>
576
    </dependency>
577
    <dependency>
578
      <groupId>org.vaadin.teemu</groupId>
579
      <artifactId>switch</artifactId>
580
      <version>2.0.4-SNAPSHOT</version>
581
    </dependency>
582
    <dependency>
583
      <groupId>org.vaadin</groupId>
584
      <artifactId>viritin</artifactId>
585
      <version>1.61</version>
586
    </dependency>
587
    <dependency>
588
      <groupId>org.vaadin.addon</groupId>
589
      <artifactId>v-leaflet</artifactId>
590
      <version>1.0.3</version>
591
    </dependency>
592
    <dependency>
593
      <groupId>org.vaadin.addons.lazyquerycontainer</groupId>
594
      <artifactId>vaadin-lazyquerycontainer</artifactId>
595
      <version>7.6.1.3</version>
596
    </dependency>
597
    <dependency>
598
      <groupId>com.flowingcode.vaadin.addons</groupId>
599
      <artifactId>error-window-vaadin</artifactId>
600
      <version>1.0.0</version>
601
    </dependency>
602
    <!-- 
603
    <dependency>
604
        <groupId>org.vaadin.spring.extensions</groupId>
605
        <artifactId>vaadin-spring-ext-test</artifactId>
606
        <version>0.0.8-SNAPSHOT</version>
607
        <scope>test</scope>
608
    </dependency>
609
     -->
610
    <!--     <dependency>
611
        only in the edit repo
612
      <groupId>org.vaadin.addons</groupId>
613
      <artifactId>lazyloadwrapper</artifactId>
614
      <version>0.1-alpha</version>
615
    </dependency> -->
616
    <!-- ============ cdmlib ============ -->
617
    <dependency>
618
      <groupId>eu.etaxonomy</groupId>
619
      <artifactId>cdmlib-remote</artifactId>
620
      <scope>compile</scope>
621
    </dependency>
622
    <dependency>
623
      <groupId>eu.etaxonomy</groupId>
624
      <artifactId>cdmlib-cache</artifactId>
625
      <version>${cdmlib.version}</version>
626
    </dependency>
627
    <dependency>
628
      <groupId>eu.etaxonomy</groupId>
629
      <artifactId>cdmlib-test</artifactId>
630
      <scope>test</scope>
631
    </dependency>
632
    <dependency>
633
      <groupId>eu.etaxonomy</groupId>
634
      <artifactId>cdmlib-db</artifactId>
635
      <version>${cdmlib.version}</version>
636
      <scope>test</scope>
637
    </dependency>
638
    <!-- ============ Other ============ -->
639
    <!-- 
640
        to override version number coming with vaadin client 
641
        version is managed in cdmlib-parent
642
    -->
643
    <dependency>
644
      <groupId>javax.validation</groupId>
645
      <artifactId>validation-api</artifactId>
646
    </dependency>
647
    <dependency>
648
      <groupId>org.springmodules</groupId>
649
      <artifactId>spring-modules-cache</artifactId>
650
      <version>0.7</version>
651
      <exclusions>
652
        <exclusion>
653
          <groupId>org.springframework</groupId>
654
          <artifactId>spring</artifactId>
655
        </exclusion>
656
        <exclusion>
657
          <groupId>org.springframework</groupId>
658
          <artifactId>spring-mock</artifactId>
659
        </exclusion>
660
      </exclusions>
661
      <scope>test</scope>
662
    </dependency>
663
    <dependency>
664
      <groupId>org.springframework</groupId>
665
      <artifactId>spring-test</artifactId>
666
      <scope>test</scope>
667
    </dependency>
668
    <dependency>
669
      <groupId>org.json</groupId>
670
      <artifactId>json</artifactId>
671
    </dependency>
672
    <dependency>
673
      <groupId>javax.servlet</groupId>
674
      <artifactId>javax.servlet-api</artifactId>
675
      <scope>provided</scope>
676
    </dependency>
677
    <!-- ========== testing ======== -->
678
    <dependency>
679
      <groupId>com.codeborne</groupId>
680
      <artifactId>selenide</artifactId>
681
      <version>4.7.1</version>
682
      <scope>test</scope>
683
    </dependency>
684
    <dependency>
685
      <groupId>org.springframework.boot</groupId>
686
      <artifactId>spring-boot</artifactId>
687
    </dependency>
688
    <dependency>
689
      <groupId>org.springframework.boot</groupId>
690
      <artifactId>spring-boot-starter-jetty</artifactId>
691
    </dependency>
692
    <dependency>
693
      <groupId>org.springframework</groupId>
694
      <artifactId>spring-beans</artifactId>
695
    </dependency>
696
  </dependencies>
697
</project>
(4-4/4)